Get a Virtual Account
curl --request GET \
--url https://api.spherepay.co/v2/virtual-account/{virtualAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/virtual-account/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spherepay.co/v2/virtual-account/{virtualAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spherepay.co/v2/virtual-account/{virtualAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"active": true,
"created": "2025-01-15T10:30:00.000Z",
"depositInstructions": {
"bankAccountNumber": "9876543210",
"bankAddress": "1801 Main St, Kansas City, MO 64108",
"bankBeneficiaryAddress": "123 Finance St, San Francisco, CA 94105",
"bankBeneficiaryName": "Bridge Financial Inc.",
"bankName": "Lead Bank",
"bankRoutingNumber": "021000089",
"bic": "COBADEFFXXX",
"currency": "usd",
"iban": "DE89370400440532013000"
},
"destination": {
"currency": "usdc",
"network": "ethereum",
"walletAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
},
"id": "virtualAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"updated": "2025-01-15T12:00:00.000Z",
"customer": "customer_b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7",
"fee": {
"integratorFee": {
"bpsRate": "100"
},
"platformFee": {
"bpsRate": "30"
},
"totalBpsRate": "130"
}
}Virtual Accounts
Retrieve an Onramper Account by ID
Retrieve a virtual account by its ID.
Get a Virtual Account
curl --request GET \
--url https://api.spherepay.co/v2/virtual-account/{virtualAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/virtual-account/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spherepay.co/v2/virtual-account/{virtualAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spherepay.co/v2/virtual-account/{virtualAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spherepay.co/v2/virtual-account/{virtualAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"active": true,
"created": "2025-01-15T10:30:00.000Z",
"depositInstructions": {
"bankAccountNumber": "9876543210",
"bankAddress": "1801 Main St, Kansas City, MO 64108",
"bankBeneficiaryAddress": "123 Finance St, San Francisco, CA 94105",
"bankBeneficiaryName": "Bridge Financial Inc.",
"bankName": "Lead Bank",
"bankRoutingNumber": "021000089",
"bic": "COBADEFFXXX",
"currency": "usd",
"iban": "DE89370400440532013000"
},
"destination": {
"currency": "usdc",
"network": "ethereum",
"walletAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
},
"id": "virtualAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"updated": "2025-01-15T12:00:00.000Z",
"customer": "customer_b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7",
"fee": {
"integratorFee": {
"bpsRate": "100"
},
"platformFee": {
"bpsRate": "30"
},
"totalBpsRate": "130"
}
}Use this endpoint to retrieve a single Onramper Account by its ID. The response includes the deposit instructions you need to share with your customer, the destination wallet address where converted stablecoins are delivered, the active/inactive status, and the fee configuration.
Authorizations
Response
Last modified on June 18, 2026